package gov.usgs.earthquake.nshmp.www.fault;

import java.util.List;

public enum FaultGroup {

  ALL("All", List.of()),
  ALEUTIAN_ARC("Aleutian Arc", List.of(4000, 4001, 4002, 4003, 4004, 4005, 4006, 4007)),
  CASCADIA("Cascadia",
      List.of(3110, 3111, 3112, 3120, 3121, 3122, 3130, 3131, 3132, 3140, 3141, 3142)),
  SAN_ANDREAS("San Andreas", List.of(
      700, 701, 702, 703, 704, 705, 706, 707, 708, 709, 710, 711, 712, 713, 714)),
  SAN_JACINTO("San Jacinto", List.of(800, 801, 802, 803, 804, 805, 806, 807)),
  ELSINORE("Elsinore", List.of(840, 841, 842, 843, 844)),
  GARLOCK("Garlock", List.of(880, 881, 882)),
  CALAVERAS("Calaveras", List.of(921, 922, 923)),
  HAYWARD("Hayward", List.of(901, 902, 903));

  public final String label;
  public final List<Integer> ids;

  private FaultGroup(String label, List<Integer> ids) {
    this.label = label;
    this.ids = ids;
  }

  @Override
  public String toString() {
    return label;
  }

}
