package gov.usgs.earthquake.nshmp.www.fault;

import static org.junit.jupiter.api.Assertions.assertEquals;

import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.List;

import org.junit.jupiter.api.Test;

import gov.usgs.earthquake.nshmp.model.SourceFeature;
import gov.usgs.earthquake.nshmp.www.Utils;

class FaultGroupTests {

  private static final Path PATH = Paths.get(Utils.FAULT_RESOURCES);
  private static final FaultSections FAULT_SECTIONS = FaultSections
      .getFaultSections(PATH)
      .get(NshmFaultSection.CONUS_2018);

  @Test
  public final void idsTests() {
    for (FaultGroup group : FaultGroup.values()) {
      List<Integer> expected = group.ids;
      List<SourceFeature> faults = FAULT_SECTIONS.ids(expected);

      for (int i = 0; i < expected.size(); i++) {
        assertEquals(expected.get(i), faults.get(i).id);
      }
    }
  }

}
