package gov.usgs.earthquake.nshmp.www.gps;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertThrows;
import static org.junit.jupiter.api.Assertions.assertTrue;

import java.net.URL;

import org.junit.jupiter.api.Test;

import com.google.common.io.Resources;

import gov.usgs.earthquake.nshmp.www.Utils;

class GpsDataSetTests {

  @Test
  public final void fromIdTests() {
    for (GpsDataSet gpsDataSet : GpsDataSet.values()) {
      assertEquals(gpsDataSet, GpsDataSet.fromId(gpsDataSet.id));
      assertEquals(gpsDataSet, GpsDataSet.fromId(gpsDataSet.toId()));
      assertTrue(gpsDataSet.equals(GpsDataSet.fromId(gpsDataSet.id)));
    }
  }

  @Test
  public final void fromIdTestIAE() {
    assertThrows(IllegalArgumentException.class, () -> {
      GpsDataSet.fromId("bad-id");
    });
  }

  @Test
  public final void assertEqualsTests() {
    for (GpsDataSet gpsDataSet : GpsDataSet.values()) {
      assertEquals(gpsDataSet.id, gpsDataSet.toId());
    }
  }

  @Test
  public final void resourceFileExistsTest() {
    assertThrows(IllegalArgumentException.class, () -> {
      Resources.getResource(GpsDataSet.class, Utils.GPS_RESOURCES + "not_a_file");
    });

    for (GpsDataSet gpsDataSet : GpsDataSet.values()) {
      URL dataUrl =
          Resources.getResource(GpsDataSet.class, Utils.GPS_RESOURCES + gpsDataSet.filename);
      assertTrue(dataUrl != null);
    }
  }

}
